package com.goafanti.copyright.bo;

import java.util.Date;

import org.apache.commons.lang3.time.DateFormatUtils;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonFormat.Shape;
import com.goafanti.common.constant.AFTConstants;

public class CopyrightLogBo {

	/**
	 * 操作时间
	 */
	private Date	recordTime;

	/**
	 * 状态
	 */
	private Integer	status;

	/**
	 * 负责人
	 */
	private String	principal;

	/**
	 * 操作人
	 */
	private String	operator;

	/**
	 * 备注
	 */
	private String	comment;

	public Date getRecordTime() {
		return recordTime;
	}

	public void setRecordTime(Date recordTime) {
		this.recordTime = recordTime;
	}
	
	@JsonFormat(shape = Shape.STRING)
	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public String getPrincipal() {
		return principal;
	}

	public void setPrincipal(String principal) {
		this.principal = principal;
	}

	public String getOperator() {
		return operator;
	}

	public void setOperator(String operator) {
		this.operator = operator;
	}

	public String getComment() {
		return comment;
	}

	public void setComment(String comment) {
		this.comment = comment;
	}

	public String getRecordTimeFormattedDate() {
		if (this.recordTime == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.recordTime, AFTConstants.YYYYMMDDHHMMSS);
		}
	}

	public void setRecordTimeFormattedDate(String recordTimeFormattedDate) {

	}
}
